Subject: bug#68766: 29.2; Windows dark/light mode changes does not reflect on Emacs Title bar/Scrollbar

From: Eli Zaretskii <[email-masked]>
Date: Sat, 03 Feb 2024 11:57:00 +0200

> From: "Rahul M. Juliato" <[email-masked]>
> Cc: [email-masked]
> Date: Tue, 30 Jan 2024 16:57:26 -0300
> 
> Hello there again!
> 
> 
> Regarding the side discussion Stefan and Eli were commenting on (and if I am
> polluting this thread, please tell me where we can take this conversation).
> 
> 
> I'd be more than happy if `auto-dark-mode` or some version
> of it gets added to Emacs or some other more "official" package archive than
> MELPA. I am also happy to help on any other matter I can contribute.
> 
> 
> Just to be clear of what the package does:
> 
> - User sets a variable with "dark-mode" theme name;
> 
> - The same for "light-mode"
> 
> - Starts the minor mode either manually or on boot (auto-dark-mode)
> 
> - Emacs changes between these themes whenever system changes its dark/light
>   mode internal state
> 
> - Also works with Doom Emacs and Spacemacs
> 
> 
> Systems supported by the detection mechanism:
> 
> - macos: using `emacs-plus` (faster detection method) or any other emacs build
>          falling back to osascript (a little slower detection method)
> 
> - gnu/linux: trough dbus with Gnome or gnome modules installed booting another
>              WM, such as Sway or i3
> 
> - android: using `Termux`
> 
> - windows: through powershell or winreg

Regarding the Windows solution: aren't there better alternatives than
using Powershell or Registry?  I'd prefer doing this programmatically
in C using some suitable APIs, if possible.